• DR-IT Software
  • Products
  • Documentation
  • Product page
  • Examples
  • API reference
  • Support
Show / Hide Table of Contents

Class CmsOids

CMS content type and algorithm OIDs (RFC 5652, RFC 3370, RFC 3565).

Inheritance
object
CmsOids
Inherited Members
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
Namespace: DRIT.Mail.Rfc.Crypto.Cms
Assembly: DRIT.Mail.dll
Syntax
public static class CmsOids

Fields

View Source

Aes128Cbc

id-aes128-CBC (2.16.840.1.101.3.4.1.2).

Declaration
public const string Aes128Cbc = "2.16.840.1.101.3.4.1.2"
Field Value
Type Description
string
View Source

Aes192Cbc

id-aes192-CBC (2.16.840.1.101.3.4.1.22).

Declaration
public const string Aes192Cbc = "2.16.840.1.101.3.4.1.22"
Field Value
Type Description
string
View Source

Aes256Cbc

id-aes256-CBC (2.16.840.1.101.3.4.1.42).

Declaration
public const string Aes256Cbc = "2.16.840.1.101.3.4.1.42"
Field Value
Type Description
string
View Source

ContentTypeAttr

contentType attribute (1.2.840.113549.1.9.3).

Declaration
public const string ContentTypeAttr = "1.2.840.113549.1.9.3"
Field Value
Type Description
string
View Source

Data

id-data (1.2.840.113549.1.7.1).

Declaration
public const string Data = "1.2.840.113549.1.7.1"
Field Value
Type Description
string
View Source

EnvelopedData

id-envelopedData (1.2.840.113549.1.7.3).

Declaration
public const string EnvelopedData = "1.2.840.113549.1.7.3"
Field Value
Type Description
string
View Source

MessageDigestAttr

messageDigest attribute (1.2.840.113549.1.9.4).

Declaration
public const string MessageDigestAttr = "1.2.840.113549.1.9.4"
Field Value
Type Description
string
View Source

RsaEncryption

rsaEncryption (1.2.840.113549.1.1.1).

Declaration
public const string RsaEncryption = "1.2.840.113549.1.1.1"
Field Value
Type Description
string
View Source

Sha1

id-sha1 (1.3.14.3.2.26).

Declaration
public const string Sha1 = "1.3.14.3.2.26"
Field Value
Type Description
string
View Source

Sha1WithRsa

sha1WithRSAEncryption (1.2.840.113549.1.1.5).

Declaration
public const string Sha1WithRsa = "1.2.840.113549.1.1.5"
Field Value
Type Description
string
View Source

Sha256

id-sha256 (2.16.840.1.101.3.4.2.1).

Declaration
public const string Sha256 = "2.16.840.1.101.3.4.2.1"
Field Value
Type Description
string
View Source

Sha256WithRsa

sha256WithRSAEncryption (1.2.840.113549.1.1.11).

Declaration
public const string Sha256WithRsa = "1.2.840.113549.1.1.11"
Field Value
Type Description
string
View Source

Sha384

id-sha384 (2.16.840.1.101.3.4.2.2).

Declaration
public const string Sha384 = "2.16.840.1.101.3.4.2.2"
Field Value
Type Description
string
View Source

Sha384WithRsa

sha384WithRSAEncryption (1.2.840.113549.1.1.12).

Declaration
public const string Sha384WithRsa = "1.2.840.113549.1.1.12"
Field Value
Type Description
string
View Source

Sha512

id-sha512 (2.16.840.1.101.3.4.2.3).

Declaration
public const string Sha512 = "2.16.840.1.101.3.4.2.3"
Field Value
Type Description
string
View Source

Sha512WithRsa

sha512WithRSAEncryption (1.2.840.113549.1.1.13).

Declaration
public const string Sha512WithRsa = "1.2.840.113549.1.1.13"
Field Value
Type Description
string
View Source

SignedData

id-signedData (1.2.840.113549.1.7.2).

Declaration
public const string SignedData = "1.2.840.113549.1.7.2"
Field Value
Type Description
string
View Source

SigningTimeAttr

signingTime attribute (1.2.840.113549.1.9.5).

Declaration
public const string SigningTimeAttr = "1.2.840.113549.1.9.5"
Field Value
Type Description
string
View Source

SmimeCapabilitiesAttr

smimeCapabilities attribute (1.2.840.113549.1.9.15).

Declaration
public const string SmimeCapabilitiesAttr = "1.2.840.113549.1.9.15"
Field Value
Type Description
string
  • View Source
Back to top

DR-IT Software documentation

DR-IT Software · Products · Documentation index · Product page · Downloads · Support · Licensing

Generated by DocFX